This is probably one of my favourite games as well. I had a few small tech demo's of experience with Lua and Love2D. With perfect timing the time came for Ludumdare #35, and I immediately knew what tools I was going to use.

The theme was actually quite controversial in my case. Initially I had a game in mind where you would have to shapeshift to attack enemies in a sort-of top down combat game. However, as I ironed out the basic mechanics for moving around in the game world I found out that it was actually already quite a lot of fun to just shoot around the ball. By then I also had a basic shapeshifting mechanic implemented, that is, I could morph a triangle into a circle and back. I added a few simple enemies, found out the game was simple and satisfying, and stuck with it. I added very very basic graphics, slow-motion, and a nice color-shifting rectangle to indicate how hard you would shoot. By then most of saturday had passed, and I decided to go into polishing mode; the game was complex enough by then for a gamejam.

I spent the sunday whipping up some simple graphics and doing the finishing touches (instructions, score, physics finetuning).

What I liked the most about developing Bee Gone. was the level of abstraction I was working at. I'm used to working in C++ with SDL, which is usually at quite a low level of abstraction. Love2D allowed me to try random stuff out with their built-in modules like physics, which gave me the room I needed to end up with this game.

The downsides are the arguments used in the usual "static vs. dynamic" debate (specifically in the context of Lua): hard to properly structure code, nil errors, 1 indexing, etcetera. Those things don't usually bother me that much but if there'd be a more strict alternative I wouldn't mind handing in some of the flexibility that Lua has. In any case, they weren't really the fault of Love2D. Their API design and documentation is pretty great.

For completeness, here are the ratings I got for the game during Ludum Dare 35:

| Rank  | Category   | Rating |
|-------|------------|--------|
| #68   | Fun        | 3.86   |
| #235  | Innovation | 3.50   |
| #289  | Overall    | 3.41   |
| #296  | Humor      | 2.70   |
| #570  | Mood       | 2.76   |
| #627  | Graphics   | 2.71   |
| #857  | Theme      | 2.52   |
|       | Coolness   | 56%    |
